<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <LangVersion>latest</LangVersion>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Akka.Streams" Version="1.5.30" />
        <PackageReference Include="Ardalis.ApiEndpoints" Version="4.1.0" />
        <PackageReference Include="AspNetCore.HealthChecks.Kafka" Version="8.0.1" />
        <PackageReference Include="AspNetCore.HealthChecks.UI.Client" Version="8.0.1" />
        <PackageReference Include="LanguageExt.Core" Version="4.4.9" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.10" />
        <PackageReference Include="PuppeteerSharp" Version="20.0.3" />
        <PackageReference Include="Silverback.Core" Version="4.5.1" />
        <PackageReference Include="Silverback.Core.Model" Version="4.5.1" />
        <PackageReference Include="Silverback.Integration.Kafka" Version="4.5.1" />
        <PackageReference Include="Silverback.Integration.Kafka.SchemaRegistry" Version="4.5.1" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.9.0" />
        <PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="6.9.0" />
        <PackageReference Include="Swashbuckle.AspNetCore.Newtonsoft" Version="6.9.0" />
        <PackageReference Include="System.Linq.Async" Version="6.0.1" />
    </ItemGroup>

    <ItemGroup>
      <Content Include="..\.dockerignore">
        <Link>.dockerignore</Link>
      </Content>
    </ItemGroup>

    <ItemGroup>
      <_ContentIncludedByDefault Remove="storage\d3041998-6277-4c9d-a0c6-6682288e8a16\entries.json" />
      <_ContentIncludedByDefault Remove="storage\d3041998-6277-4c9d-a0c6-6682288e8a16\timing.json" />
    </ItemGroup>

    <ItemGroup>
      <None Update="app.config">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
    </ItemGroup>



</Project>
